libgmp10_6.1.0+dfsg-2_amd64.deb


Advertisement

Description

libgmp10 - Multiprecision arithmetic library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libgmp10_6.1.0+dfsg-2_amd64.deb
Package name libgmp10
Package version 6.1.0+dfsg
Package release 2
Package architecture amd64
Package type deb
Category libs
Homepage http://gmplib.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 234.46 KB
Installed size 554.00 KB
GNU MP is a programmer's library for arbitrary precision
arithmetic (ie, a bignum package).  It can operate on signed
integer, rational, and floating point numeric types.
It has a rich set of functions, and the functions have a regular
interface.

Alternatives

Package Version Architecture Repository
libgmp10_6.1.0+dfsg-2_i386.deb 6.1.0+dfsg i386 Ubuntu Main
libgmp10 - - -

Requires

Name Value
libc6 >= 2.14

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libgmp10_6.1.0+dfsg-2_amd64.deb
Source Package gmp

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgmp10 deb package:
    # sudo apt-get install libgmp10

Files

Path
/usr/lib/x86_64-linux-gnu/libgmp.so.10
/usr/lib/x86_64-linux-gnu/libgmp.so.10.3.0
/usr/share/doc/libgmp10/README.Debian
/usr/share/doc/libgmp10/changelog.Debian.gz
/usr/share/doc/libgmp10/copyright

Changelog

2015-11-17 - Steve M. Robbins <smr@debian.org>
gmp (2:6.1.0+dfsg-2) unstable; urgency=medium
* libgmp10.symbols: mark __gmpn_clz_tab as optional -- it is
architecture dependent and just changed from defined to undefined for
armel and armhf.
2015-11-15 - Steve M. Robbins <smr@debian.org>
gmp (2:6.1.0+dfsg-1) unstable; urgency=medium
* New upstream.
- patches/arm-asm-nothumb.patch:
- patches/4a6d258b467f.patch: Remove.  Applied upstream.
* libgmp10.symbols: updated for new release.
2015-07-05 - Steve M. Robbins <smr@debian.org>
gmp (2:6.0.0+dfsg-7) unstable; urgency=medium
* control: Drop recommends libstdc++ (Closes: #781196).  Suggest gmp-doc
(Closes: #735545).
2014-08-18 - Aron Xu <aron@debian.org>
gmp (2:6.0.0+dfsg-6) unstable; urgency=medium
* Team upload.
* Use filter instead of finstring (Closes: #758438)
2014-08-17 - Aron Xu <aron@debian.org>
gmp (2:6.0.0+dfsg-5) unstable; urgency=medium
* Team upload.
* Update symbols and pass ABI=64 for mips64(el) (Closes: #748319)
* Update symbols for powerpcspe (Closes: #750478)
2014-05-03 - Dimitri John Ledkov <xnox@ubuntu.com>
gmp (2:6.0.0+dfsg-4) unstable; urgency=medium
* Update symbols for sparc.
* Update symbols for m68k.
* Correct alpha symbols.
2014-05-01 - Dimitri John Ledkov <xnox@ubuntu.com>
gmp (2:6.0.0+dfsg-3) unstable; urgency=medium
* Thanks Jordi for awesome NMUs! =)
* Apply changes from colin/ubuntu:
- Recommend libstdc++-4.8-dev as a real alternative for the virtual
libstdc++-dev.
* Cherry-pick patch from upstream to fix up ppc64el missing
BMOD_1_TO_MOD_1_THRESHOLD define.
* Fix up arm64 & ppc64 & ppc64el symbols thanks to Adam Conrad.
* Update symbols for alpha.
* Update symbols for sh4.
2014-04-27 - Jordi Mallach <jordi@debian.org>
gmp (2:6.0.0+dfsg-2.3) unstable; urgency=medium
* Non-maintainer upload. Third time's a charm... I hope.
* Extend libgmp10.symbols with symbols for all official Debian
architectures, plus arm64, hppa and sparc64 from debian-ports.org.
* Revert usage of dpkg-gensymbols -c4, at least for now.
2014-04-26 - Jordi Mallach <jordi@debian.org>
gmp (2:6.0.0+dfsg-2.2) unstable; urgency=medium
* Non-maintainer upload.
* Add arch overrides for three symbols that are not available on
every architecture, and check they were all available in 5.0.1.
2014-04-26 - Jordi Mallach <jordi@debian.org>
gmp (2:6.0.0+dfsg-2.1) unstable; urgency=medium
* Non-maintainer upload.
* Add a .symbols file, as provided by Magnus Holmgren (closes: #745233).
* Pass -c4 to dpkg-gensymbols to detect future symbol changes.

See Also

Package Description
libgmp3-dev_6.1.0+dfsg-2_amd64.deb Multiprecision arithmetic library developers tools
libgmpxx4ldbl_6.1.0+dfsg-2_amd64.deb Multiprecision arithmetic library (C++ bindings)
libgnome-2-0_2.32.1-5ubuntu1_amd64.deb The GNOME library - runtime files
libgnome-bluetooth-dev_3.18.2-1ubuntu2_amd64.deb GNOME Bluetooth tools - support library development files
libgnome-bluetooth13_3.18.2-1ubuntu2_amd64.deb GNOME Bluetooth tools - support library
libgnome-desktop-3-12_3.18.2-1ubuntu1_amd64.deb Utility library for loading .desktop files - runtime files
libgnome-desktop-3-dev_3.18.2-1ubuntu1_amd64.deb Utility library for loading .desktop files - development files
libgnome-keyring-common_3.12.0-1build1_all.deb GNOME keyring services library - data files
libgnome-keyring-dev_3.12.0-1build1_amd64.deb Development files for GNOME keyring service
libgnome-keyring0_3.12.0-1build1_amd64.deb GNOME keyring services library
libgnome-menu-3-0_3.13.3-6ubuntu3_amd64.deb GNOME implementation of the freedesktop menu specification
libgnome-menu-3-dev_3.13.3-6ubuntu3_amd64.deb GNOME implementation of the freedesktop menu specification
libgnome2-0_2.32.1-5ubuntu1_amd64.deb The GNOME library - transition package
libgnome2-bin_2.32.1-5ubuntu1_amd64.deb The GNOME library - binary files
libgnome2-common_2.32.1-5ubuntu1_all.deb The GNOME library - common files
Advertisement
Advertisement